commit: 641aa9f2caca80622626a7185902aa840ddd5ce1
Author: Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Thu Jan 18 18:33:03 2018 +0000
Commit: Matt Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Thu Jan 18 18:47:07 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=641aa9f2
app-crypt/acme: 0.21.0 bup
Package-Manager: Portage-2.3.19, Repoman-2.3.6
app-crypt/acme/Manifest | 1 +
app-crypt/acme/acme-0.21.0.ebuild | 47 +++++++++++++++++++++++++++++++++++++++
2 files changed, 48 insertions(+)
diff --git a/app-crypt/acme/Manifest b/app-crypt/acme/Manifest
index f8758e2b5cf..772d0f15369 100644
--- a/app-crypt/acme/Manifest
+++ b/app-crypt/acme/Manifest
@@ -1,3 +1,4 @@
DIST certbot-0.18.2.tar.gz 1044019 BLAKE2B
d198252c1e3e24a80bcadeecde7fd133e454036df6bd782585b31234ddd8d393fc2ab792e60f381eabd9fb453ee2a57d132ba7d41254c8acd9cf64dbfb94fb89
SHA512
30dea063cf8d4bd714a40c1a82a7f4aab51e3a7d4de0d5f9a923f95badb2881562562c4a198da6a4c3cd1db7f9e2d124c2def70f3a245faca0040438586bf6a4
DIST certbot-0.19.0.tar.gz 1061557 BLAKE2B
4f1c623276cbcc88d414dd9d135b65f472d1e35cfef74901fb8031d40d414266870229b6aaf60a4bfde983c7e930819e5e7326d5cfa3cbffb155e3a9c724883a
SHA512
d29c9e2041171f2574bf2ee9ff7442b80b261a03f9e82e4dd40aad0617730aca6bff17fcc728496bda4133f86a4894cf21d083dacb0d0df2dec11d23e4e1541b
DIST certbot-0.20.0.tar.gz 1108139 BLAKE2B
6af07dd245912741592761bd11160c081e278e5f48b69747669aa6146d81cc7ad6f0d9c7b4bf31ad137d51bd378f670e5e5d7318efe7b3b5463d52515a5df257
SHA512
92c128bc955a576a1eb568d39b3a5568f9bd841acefaa455d716ce5036312d0ad67b3dcfcf960b15abdd39c1f34f82ffe2ebca0722628c5c804fc5472a6c0546
+DIST certbot-0.21.0.tar.gz 1105665 BLAKE2B
c7fea5f9fd6a0f68112897923fe96c854751789c6ba71ad38c333c259d556431ccc53658eef520f2518b42ff26748bc6736f3deff97cbfee4900305b1cd24fa7
SHA512
87d1f2b5153f8fc6a5cf1ee3e6ba084464d2094ef0ae8955d4ac3c75de759cd62c54465186a21b4d4205193f410cbfcb93f4af4f29bfdb21f7cc881a38c4340f
diff --git a/app-crypt/acme/acme-0.21.0.ebuild
b/app-crypt/acme/acme-0.21.0.ebuild
new file mode 100644
index 00000000000..61035085637
--- /dev/null
+++ b/app-crypt/acme/acme-0.21.0.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=(python{2_7,3_4,3_5,3_6})
+
+if [[ ${PV} == 9999* ]]; then
+ EGIT_REPO_URI="https://github.com/certbot/certbot.git"
+ inherit git-r3
+ S=${WORKDIR}/${P}/${PN}
+else
+ SRC_URI="https://github.com/certbot/certbot/archive/v${PV}.tar.gz ->
certbot-${PV}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~ppc64 ~x86"
+ S=${WORKDIR}/certbot-${PV}/acme
+fi
+
+inherit distutils-r1
+
+DESCRIPTION="An implementation of the ACME protocol"
+HOMEPAGE="https://github.com/certbot/certbot https://letsencrypt.org/"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE="test"
+
+RDEPEND="
+ >=dev-python/cryptography-0.8[${PYTHON_USEDEP}]
+ >=dev-python/josepy-1.0.0[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ >=dev-python/pyopenssl-0.13[${PYTHON_USEDEP}]
+ dev-python/pyrfc3339[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.10[${PYTHON_USEDEP}]
+ >=dev-python/six-1.9.0[${PYTHON_USEDEP}]
+"
+DEPEND="
+ test? (
+ ${RDEPEND}
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+ >=dev-python/setuptools-1.0[${PYTHON_USEDEP}]
+"
+
+python_test() {
+ nosetests -w ${PN} || die
+}